#
# spec file for package blue-horizon-config-deploy-cap-eks
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           blue-horizon-config-deploy-cap-eks
Version:        2020.08.19
Release:        3.3.1
Summary:        Configuration for blue-horizon for deploy-cap on AWS EKS
License:        CC-BY-ND-4.0
URL:            http://www.github.com:SUSE/pubcloud
Source0:        %{name}-%{version}.tar.bz2
Requires:       blue-horizon
Requires:       nginx
Requires:       python3-cloudinstancecredentials
BuildRequires:  blue-horizon
BuildRequires:  nginx
Provides:       blue-horizon-config
Provides:       terraform-cap-deploy-eks = 0.3.1
Conflicts:      otherproviders(blue-horizon-config)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildArch:      noarch

%description
Configs and terraform scripts to configure blue-horizon for CAP deployment
on EKS in Amazon Web Services

%prep
%setup -q

%build

%install
%make_install

%files
%defattr(-,root,root,-)
%doc README.md LICENSE
%config %{_sysconfdir}/nginx/vhosts.d/blue-horizon-http.conf
%dir /srv/www/blue-horizon/vendor
/srv/www/blue-horizon/vendor/customization.json
%dir /srv/www/blue-horizon/vendor/locales
/srv/www/blue-horizon/vendor/locales/*
%dir /srv/www/blue-horizon/vendor/sources
/srv/www/blue-horizon/vendor/sources/*
%{_unitdir}/blue-horizon.service

%changelog
* Thu Aug 20 2020 jmason@suse.com
- version 2020.08.19
  + Update sources to cap-terraform/eks v0.3.1
  + helm auths via aws-iam-authenticator (bsc#1175919)
* Tue Aug 18 2020 jmason@suse.com
- version 2020.08.15
  + Remove unexpected file from terraform sources (bsc#1174919)
* Fri Aug 14 2020 jmason@suse.com
- version 2020.08.14
  + Update sources to cap-terraform/eks v0.3.0
  + helm auths via kubeconfig (bsc#1174919)
* Fri Jul 31 2020 jmason@suse.com
- version 2020.07.31
  + Update sources to cap-terraform/eks v0.2.0
  + kubernetes version is 1.15; no longer a user variable
  + Use cert-manager v0.14.0 (consistent with other frameworks)
  + terraform dependency chain clarified (bsc#1174203)
* Tue Jul  7 2020 jmason@suse.com
- version 2020.07.07
  + Update sources to cap-terraform/public-cloud/eks v0.1.6
  + default kubernetes version is 1.16
* Wed Jun 17 2020 jmason@suse.com
- version 2020.06.16
  + Update sources to cap-terraform/public-cloud/eks v0.1.5
  + pins stratos, metrics helm chart versions
* Wed Jun 10 2020 jmason@suse.com
- version 2020.06.10
  + Update sources to cap-terraform/public-cloud/eks v0.1.4
  + Fix metrics helm deployment error in redundant settings
* Tue Jun  9 2020 jmason@suse.com
- version 2020.06.09
  + Update sources to cap-terraform/public-cloud/eks v0.1.3
  + Fix reference to bitnami/external-dns helm repo
* Mon Jun  8 2020 jmason@suse.com
- version 2020.06.08
  + Update sources to cap-terraform/public-cloud/eks v0.1.2
  + Resequenced dependencies
  + Delay in processing to allow AKS to settle
* Thu May 21 2020 jmason@suse.com
- version 2020.05.20 (bsc#1171936)
  + Update sources to cap-terraform/public-cloud/eks v0.1.1
* Thu May 14 2020 jmason@suse.com
- Initial version 2020.05.13 (jsc#PM-1886)
